#ifndef DIALOGSETTINGNETWORKSHARE_H
#define DIALOGSETTINGNETWORKSHARE_H

#include <QDialog>

namespace Ui {
class DialogSettingNetworkShare;
}

class DialogSettingNetworkShare : public QDialog
{
    Q_OBJECT

public:
    explicit DialogSettingNetworkShare(QWidget *parent = 0);
    ~DialogSettingNetworkShare();

    void SetEnable(bool bEnable);

    QString GetIP();
    QString GetID();
    QString GetPassword();
    QString GetShareFolder();
    QString GetSMBVersion();
    bool IsEnabledNetworkShare();
    bool IsNetworkAutoSend();

private slots:
    void on_pushButton_Save_clicked();

    void on_pushButton_Cancel_clicked();

    void on_checkBox_Enable_stateChanged(int arg1);

    void on_checkBox_AutoSend_clicked();

private:
    Ui::DialogSettingNetworkShare *ui;
};

#endif // DIALOGSETTINGNETWORKSHARE_H
